Bug 254472 - graphics/drm-fbsd13-kmod Xorg crash on resume
Summary: graphics/drm-fbsd13-kmod Xorg crash on resume
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-21 21:29 UTC by pete
Modified: 2022-05-19 23:52 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments
Xorg.0.log when resume don't work (17.39 KB, text/plain)
2022-04-11 19:59 UTC, Maurizio
no flags Details
Patch for the graphics/drm-fbsd13-kmod port (1.26 KB, patch)
2022-04-21 07:46 UTC, Maurizio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pete 2021-03-21 21:29:41 UTC
I am having Xorg crash on resume from sleep on my i915 system running 13.0-RC3 (and previous beta's and RC's).

here's the driver version:
drm-fbsd13-kmod-5.4.92.g20210202

and here is the trace from Xorg.0.log when it fails to resume:
[  3576.299] (EE) Backtrace:
[  3576.303] (EE) 0: /usr/local/bin/Xorg (?+0x0) [0x41dc30]
[  3576.307] (EE) unw_get_proc_name failed: no unwind info found [-10]
[  3576.307] (EE) 1: /lib/libthr.so.3 (?+0x0) [0x80092adc0]
[  3576.310] (EE) unw_get_proc_name failed: no unwind info found [-10]
[  3576.310] (EE) 2: /lib/libthr.so.3 (?+0x0) [0x80092a320]
[  3576.313] (EE) 3: ? (?+0x0) [0x7ffffffff193]
[  3576.317] (EE) unw_get_proc_name failed: no unwind info found [-10]
[  3576.317] (EE) 4: /lib/libc.so.7 (?+0x0) [0x800aa22b0]
[  3576.320] (EE) 5: /usr/local/lib/dri/iris_dri.so (?+0x0) [0x802d77460]
[  3576.324] (EE) 6: /usr/local/lib/dri/iris_dri.so (?+0x0) [0x802d7ead0]
[  3576.327] (EE) 7: /usr/local/lib/dri/iris_dri.so (?+0x0) [0x802316b60]
[  3576.331] (EE) 8: /usr/local/lib/libEGL.so.1 (?+0x0) [0x808049cc0]
[  3576.334] (EE) 9: /usr/local/lib/libEGL.so.1 (?+0x0) [0x80803c640]
[  3576.337] (EE) 10: /usr/local/lib/xorg/modules/libglamoregl.so (?+0x0) [0x801b62720]
[  3576.340] (EE) 11: /usr/local/lib/xorg/modules/libglamoregl.so (?+0x0) [0x801b63970]
[  3576.343] (EE) 12: /usr/local/lib/xorg/modules/drivers/modesetting_drv.so (?+0x0) [0x801b330b0]
[  3576.346] (EE) 13: /usr/local/lib/xorg/modules/drivers/modesetting_drv.so (?+0x0) [0x801b2e530]
[  3576.348] (EE) 14: /usr/local/bin/Xorg (?+0x0) [0x29d6f0]
[  3576.353] (EE) 15: /usr/local/bin/Xorg (?+0x0) [0x2e55a0]
[  3576.356] (EE) 16: /usr/local/bin/Xorg (?+0x0) [0x2a1610]
[  3576.359] (EE) 17: /usr/local/bin/Xorg (?+0x0) [0x28a330]
[  3576.362] (EE) 18: ? (?+0x0) [0x800458008]

subsequent starts of Xorg will fail in a similar manner until I unload and reload the i915kms.ko.  After that Xorg starts and I am OK for several suspend/resume cycles.
Comment 1 Emmanuel Vadot freebsd_committer 2021-11-22 16:45:31 UTC
I'm aware of problems on some Intel systems (gen7+) having problems but not this one.
Which GPU do you have ? (pciconf -vl | grep -A4 vgapci)
Comment 2 fred.ha11 2022-03-20 01:30:23 UTC
I experienced the same crash on my X1 Carbon (gen 4) when 13.0 came out, but reverted to 12.x as it ran perfectly. Now that 13.1-BETA1 is out I wanted to try again, but still have the same failure. X will crash (and continue to crash) after coming out of suspend.

The complete details are available for download at:

https://bsdadmin.com/downloads/Xorg.0.log.crash
https://bsdadmin.com/downloads/Xorg.0.log.normal
https://bsdadmin.com/downloads/Xorg.core

drm-fbsd13-kmod-5.4.144.g20220128 

pciconf -vl | grep -A4 vgapci
vgapci0@pci0:34:0:0:	class=0x030000 rev=0x41 hdr=0x00 vendor=0x1a03 device=0x2000 subvendor=0x1a03 subdevice=0x2000
    vendor     = 'ASPEED Technology, Inc.'
    device     = 'ASPEED Graphics Family'
    class      = display
    subclass   = VGA

Please let me know if you need more information or have things you want tested.
Comment 3 fred.ha11 2022-03-26 15:58:15 UTC
If I try to unload i915kms.ko the system reboots.
Comment 4 Maurizio 2022-04-11 19:59:36 UTC
Created attachment 233153 [details]
Xorg.0.log when resume don't work
Comment 5 Maurizio 2022-04-11 20:06:57 UTC
I have the same problem running FreeBSD 13.1-RC2 on a Lenovo ThinkPad T450, suspend/resume doesn't always work.

$ pciconf -vl | grep -A4 vgapci
vgapci0@pci0:0:2:0:	class=0x030000 rev=0x09 hdr=0x00 vendor=0x8086 device=0x1616 subvendor=0x17aa subdevice=0x5034
    vendor     = 'Intel Corporation'
    device     = 'HD Graphics 5500'
    class      = display
    subclass   = VGA

drm-fbsd13-kmod-5.4.144.g20220223

If I try to unload i915kms.ko the system reboots.
Comment 6 Maurizio 2022-04-21 07:44:32 UTC
I have found a workaround for this bug, an i915kms kernel driver patch.
I have tested  the patch on a Lenovo Thinkpad T450.

NOTICE: I don’t know if this  patch can damage your laptop, if it happens it is not my responsibility.

The patch changes only one line of code in the source file
drm-kmod-drm_v5.4.144_6/drivers/gpu/drm/i915/i915_gem.c in the function wait_for_timelines:
I have replaced the line:
timeout = i915_request_wait(rq, wait, timeout);
with:      
    timeout = i915_request_wait(rq, wait, MAX_SCHEDULE_TIMEOUT);

the rest of the patch lines are only printf messages to display the time spent in the function. The i915_request_wait function never timeouts. I have warned you with the above notice because my laptop can take more than 4 seconds to resume.

Before applying the patch you must be able to build the graphics/drm-fbsd13-kmod port from source.

Building the patched i915kms driver:
# cd /usr/ports/graphics/drm-fbsd13-kmod/
# make clean
# make config
select “Build with debugging support”
# mkdir files
Copy the patch file patch-drivers_gpu_drm_i915_i915__gem.c in the files directory and verify it
# ls /usr/ports/graphics/drm-fbsd13-kmod/files
patch-drivers_gpu_drm_i915_i915__gem.c
# make build deinstall reinstall
should compile and install the patched code without errors. Reboot for running the new driver.

How this patch works on my laptop in the suspend/resume cycle.
When suspend/resume works fast, I have this output at the console:

vgapci0: child drmn0 requested pci_enable_io

Start of i915_gem_wait_for_idle()
flags=12 (locked), timeout=200

Calling wait_for_timelines()
flags=12 (locked), timeout=2147483647 (forever)

End of i915_gem_wait_for_idle() in 0 tick(s)
rtsx0: Resume

The i915_gem_wait_for_idle function takes less than one ms (tick = ms).  

When the suspend/resume cycle is slow, I have an output similar to:
vgapci0: child drmn0 requested pci_enable_io

Start of i915_gem_wait_for_idle()
flags=12 (locked), timeout=200

Calling wait_for_timelines()
drmn0: Resetting rcs0 for hang on rcs0
flags=12 (locked), timeout=2147483647 (forever)

End of i915_gem_wait_for_idle() in 4138 tick(s)

Start of i915_gem_wait_for_idle()
flags=12 (locked), timeout=200

Calling wait_for_timelines()
flags=12 (locked), timeout=2147483647 (forever)
   
End of i915_gem_wait_for_idle() in 0 tick(s)
rtsx0: Resume

The message “drmn0: Resetting rcs0 for hang on rcs0” is written to the console and the i915_gem_wait_for_idle function takes more than 4 seconds to finish.
The i915_gem_wait_for_idle is called again without errors and the laptop resumes.
Comment 7 Maurizio 2022-04-21 07:46:04 UTC
Created attachment 233367 [details]
Patch for the graphics/drm-fbsd13-kmod port
Comment 8 fred.ha11 2022-04-23 13:47:32 UTC
(In reply to Maurizio from comment #7)

Patch is definitely a major improvement and allows me to reliably suspend/resume my X1 Carbon 4th gen. In testing a couple dozen times I did have one complete freeze up though I am not at all sure it had anything to do with the graphics. In the past (11.x and 12.x) I have been able to freeze up the laptop by closing and opening the lid to quickly.

One question/observation: When I run the following command, sometimes there is 1 entry per suspend/resume cycle and sometimes there are 2. Seems odd, but I haven't looked at the code.

 grep ' End of i915_gem_wait_for_idle' /var/log/messages

Apr 22 23:49:19 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 22 23:49:19 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 22 23:49:55 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 22 23:50:25 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 22 23:54:24 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 22 23:54:24 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 22 23:59:47 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:25:22 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:25:57 carbon kernel: End of i915_gem_wait_for_idle() in 4101 tick(s)
Apr 23 00:25:57 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:26:29 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:27:01 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:27:32 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:28:03 carbon kernel: End of i915_gem_wait_for_idle() in 4119 tick(s)
Apr 23 00:28:03 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:28:35 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:29:03 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:29:37 carbon kernel: End of i915_gem_wait_for_idle() in 4129 tick(s)
Apr 23 00:29:37 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:30:13 carbon kernel: End of i915_gem_wait_for_idle() in 4127 tick(s)
Apr 23 00:30:13 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:30:49 carbon kernel: End of i915_gem_wait_for_idle() in 4101 tick(s)
Apr 23 00:30:49 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:31:20 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:31:52 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:34:43 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 07:23:51 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:26:19 carbon kernel: End of i915_gem_wait_for_idle() in 4112 tick(s)
Apr 23 07:26:19 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:27:33 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:28:20 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:28:20 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:29:42 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 07:31:08 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 07:32:05 carbon kernel: End of i915_gem_wait_for_idle() in 4114 tick(s)
Apr 23 07:32:05 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Comment 9 Maurizio 2022-04-24 14:43:21 UTC
(In reply to fred.ha11 from comment #8)
Thank you for testing the patch. 
Try this command:
$ grep -B16 ' rtsx0: Resume' /var/log/messages 

Apr 24 15:23:55 NomadBSD kernel: uhub0: detached
Apr 24 15:23:55 NomadBSD kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 24 15:23:55 NomadBSD kernel: pci0: failed to set ACPI power state D3 on \_SB_.PCI0.VID_: AE_BAD_PARAMETER
Apr 24 15:23:55 NomadBSD kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 24 15:23:55 NomadBSD kernel: acpi0: cleared fixed power button status
Apr 24 15:23:55 NomadBSD kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 24 15:23:55 NomadBSD kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 24 15:23:55 NomadBSD syslogd: last message repeated 1 times
Apr 24 15:23:55 NomadBSD kernel:
Apr 24 15:23:55 NomadBSD kernel: Start of i915_gem_wait_for_idle()
Apr 24 15:23:55 NomadBSD kernel: flags=12 (locked), timeout=200
Apr 24 15:23:55 NomadBSD kernel:
Apr 24 15:23:55 NomadBSD kernel: Calling wait_for_timelines()
Apr 24 15:23:55 NomadBSD kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 24 15:23:55 NomadBSD kernel:
Apr 24 15:23:55 NomadBSD kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 24 15:23:55 NomadBSD kernel: rtsx0: Resume
--
Apr 24 16:08:51 NomadBSD kernel: Start of i915_gem_wait_for_idle()
Apr 24 16:08:51 NomadBSD kernel: flags=12 (locked), timeout=200
Apr 24 16:08:51 NomadBSD kernel:
Apr 24 16:08:51 NomadBSD kernel: Calling wait_for_timelines()
Apr 24 16:08:51 NomadBSD kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 24 16:08:51 NomadBSD kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 24 16:08:51 NomadBSD kernel:
Apr 24 16:08:51 NomadBSD kernel: End of i915_gem_wait_for_idle() in 4136 tick(s)
Apr 24 16:08:51 NomadBSD kernel:
Apr 24 16:08:51 NomadBSD kernel: Start of i915_gem_wait_for_idle()
Apr 24 16:08:51 NomadBSD kernel: flags=12 (locked), timeout=200
Apr 24 16:08:51 NomadBSD kernel:
Apr 24 16:08:51 NomadBSD kernel: Calling wait_for_timelines()
Apr 24 16:08:51 NomadBSD kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 24 16:08:51 NomadBSD kernel:
Apr 24 16:08:51 NomadBSD kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 24 16:08:51 NomadBSD kernel: rtsx0: Resume

At 15:23:55 suspend/resume worked, there is only one line of ‘End of i915_gem_wait_for_idle() in 0 tick(s)’.
At 16:08:51 there was an error in the suspend/resume cycle: ‘drmn0: Resetting rcs0 for hang on rcs0’ and the i915_gem_wait_for_idle function takes 4136 ticks. The function i915_gem_wait_for_idle is recalled without error. In the messages log file there are two lines of the ‘End of i915_gem_wait_for_idle() in N tick(s)’ message in the same second.
Comment 10 fred.ha11 2022-04-29 17:31:11 UTC
The patch has worked very well for me, with zero lockup since I last wrote.


grep -B16 ' rtsx0: Resume' /var/log/messages


Apr 22 23:49:55 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 22 23:49:55 carbon kernel: uhub0: detached
Apr 22 23:49:55 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 22 23:49:55 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 22 23:49:55 carbon kernel: acpi0: cleared fixed power button status
Apr 22 23:49:55 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 22 23:49:55 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 22 23:49:55 carbon syslogd: last message repeated 1 times
Apr 22 23:49:55 carbon kernel:
Apr 22 23:49:55 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 22 23:49:55 carbon kernel: flags=12 (locked), timeout=200
Apr 22 23:49:55 carbon kernel:
Apr 22 23:49:55 carbon kernel: Calling wait_for_timelines()
Apr 22 23:49:55 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 22 23:49:55 carbon kernel:
Apr 22 23:49:55 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 22 23:49:55 carbon kernel: rtsx0: Resume
--
Apr 22 23:50:25 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 22 23:50:25 carbon kernel: uhub0: detached
Apr 22 23:50:25 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 22 23:50:25 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 22 23:50:25 carbon kernel: acpi0: cleared fixed power button status
Apr 22 23:50:25 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 22 23:50:25 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 22 23:50:25 carbon syslogd: last message repeated 1 times
Apr 22 23:50:25 carbon kernel:
Apr 22 23:50:25 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 22 23:50:25 carbon kernel: flags=12 (locked), timeout=200
Apr 22 23:50:25 carbon kernel:
Apr 22 23:50:25 carbon kernel: Calling wait_for_timelines()
Apr 22 23:50:25 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 22 23:50:25 carbon kernel:
Apr 22 23:50:25 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 22 23:50:25 carbon kernel: rtsx0: Resume
--
Apr 22 23:59:47 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 22 23:59:47 carbon kernel: uhub0: detached
Apr 22 23:59:47 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 22 23:59:47 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 22 23:59:47 carbon kernel: acpi0: cleared fixed power button status
Apr 22 23:59:47 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 22 23:59:47 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 22 23:59:47 carbon syslogd: last message repeated 1 times
Apr 22 23:59:47 carbon kernel:
Apr 22 23:59:47 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 22 23:59:47 carbon kernel: flags=12 (locked), timeout=200
Apr 22 23:59:47 carbon kernel:
Apr 22 23:59:47 carbon kernel: Calling wait_for_timelines()
Apr 22 23:59:47 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 22 23:59:47 carbon kernel:
Apr 22 23:59:47 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 22 23:59:47 carbon kernel: rtsx0: Resume
--
Apr 23 00:25:22 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:25:22 carbon kernel: uhub0: detached
Apr 23 00:25:22 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:25:22 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:25:22 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:25:22 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:25:22 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:25:22 carbon syslogd: last message repeated 1 times
Apr 23 00:25:22 carbon kernel:
Apr 23 00:25:22 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:25:22 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:25:22 carbon kernel:
Apr 23 00:25:22 carbon kernel: Calling wait_for_timelines()
Apr 23 00:25:22 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:25:22 carbon kernel:
Apr 23 00:25:22 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:25:22 carbon kernel: rtsx0: Resume
--
Apr 23 00:25:57 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:25:57 carbon kernel:
Apr 23 00:25:57 carbon kernel: Calling wait_for_timelines()
Apr 23 00:25:57 carbon kernel: drmn0: GPU HANG: ecode 9:1:0x00000000, hang on rcs0
Apr 23 00:25:57 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 00:25:57 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:25:57 carbon kernel:
Apr 23 00:25:57 carbon kernel: End of i915_gem_wait_for_idle() in 4101 tick(s)
Apr 23 00:25:57 carbon kernel:
Apr 23 00:25:57 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:25:57 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:25:57 carbon kernel:
Apr 23 00:25:57 carbon kernel: Calling wait_for_timelines()
Apr 23 00:25:57 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:25:57 carbon kernel:
Apr 23 00:25:57 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:25:57 carbon kernel: rtsx0: Resume
--
Apr 23 00:26:29 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:26:29 carbon kernel: uhub0: detached
Apr 23 00:26:29 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:26:29 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:26:29 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:26:29 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:26:29 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:26:29 carbon syslogd: last message repeated 1 times
Apr 23 00:26:29 carbon kernel:
Apr 23 00:26:29 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:26:29 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:26:29 carbon kernel:
Apr 23 00:26:29 carbon kernel: Calling wait_for_timelines()
Apr 23 00:26:29 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:26:29 carbon kernel:
Apr 23 00:26:29 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:26:29 carbon kernel: rtsx0: Resume
--
Apr 23 00:27:01 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:27:01 carbon kernel: uhub0: detached
Apr 23 00:27:01 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:27:01 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:27:01 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:27:01 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:27:01 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:27:01 carbon syslogd: last message repeated 1 times
Apr 23 00:27:01 carbon kernel:
Apr 23 00:27:01 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:27:01 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:27:01 carbon kernel:
Apr 23 00:27:01 carbon kernel: Calling wait_for_timelines()
Apr 23 00:27:01 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:27:01 carbon kernel:
Apr 23 00:27:01 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:27:01 carbon kernel: rtsx0: Resume
--
Apr 23 00:27:32 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:27:32 carbon kernel: uhub0: detached
Apr 23 00:27:32 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:27:32 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:27:32 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:27:32 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:27:32 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:27:32 carbon syslogd: last message repeated 1 times
Apr 23 00:27:32 carbon kernel:
Apr 23 00:27:32 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:27:32 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:27:32 carbon kernel:
Apr 23 00:27:32 carbon kernel: Calling wait_for_timelines()
Apr 23 00:27:32 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:27:32 carbon kernel:
Apr 23 00:27:32 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:27:32 carbon kernel: rtsx0: Resume
--
Apr 23 00:28:03 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:28:03 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:28:03 carbon kernel:
Apr 23 00:28:03 carbon kernel: Calling wait_for_timelines()
Apr 23 00:28:03 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 00:28:03 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:28:03 carbon kernel:
Apr 23 00:28:03 carbon kernel: End of i915_gem_wait_for_idle() in 4119 tick(s)
Apr 23 00:28:03 carbon kernel:
Apr 23 00:28:03 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:28:03 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:28:03 carbon kernel:
Apr 23 00:28:03 carbon kernel: Calling wait_for_timelines()
Apr 23 00:28:03 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:28:03 carbon kernel:
Apr 23 00:28:03 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:28:03 carbon kernel: rtsx0: Resume
--
Apr 23 00:28:35 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:28:35 carbon kernel: uhub0: detached
Apr 23 00:28:35 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:28:35 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:28:35 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:28:35 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:28:35 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:28:35 carbon syslogd: last message repeated 1 times
Apr 23 00:28:35 carbon kernel:
Apr 23 00:28:35 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:28:35 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:28:35 carbon kernel:
Apr 23 00:28:35 carbon kernel: Calling wait_for_timelines()
Apr 23 00:28:35 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:28:35 carbon kernel:
Apr 23 00:28:35 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:28:35 carbon kernel: rtsx0: Resume
--
Apr 23 00:29:03 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:29:03 carbon kernel: uhub0: detached
Apr 23 00:29:03 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:29:03 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:29:03 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:29:03 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:29:03 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:29:03 carbon syslogd: last message repeated 1 times
Apr 23 00:29:03 carbon kernel:
Apr 23 00:29:03 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:29:03 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:29:03 carbon kernel:
Apr 23 00:29:03 carbon kernel: Calling wait_for_timelines()
Apr 23 00:29:03 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:29:03 carbon kernel:
Apr 23 00:29:03 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:29:03 carbon kernel: rtsx0: Resume
--
Apr 23 00:29:37 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:29:37 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:29:37 carbon kernel:
Apr 23 00:29:37 carbon kernel: Calling wait_for_timelines()
Apr 23 00:29:37 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 00:29:37 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:29:37 carbon kernel:
Apr 23 00:29:37 carbon kernel: End of i915_gem_wait_for_idle() in 4129 tick(s)
Apr 23 00:29:37 carbon kernel:
Apr 23 00:29:37 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:29:37 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:29:37 carbon kernel:
Apr 23 00:29:37 carbon kernel: Calling wait_for_timelines()
Apr 23 00:29:37 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:29:37 carbon kernel:
Apr 23 00:29:37 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:29:37 carbon kernel: rtsx0: Resume
--
Apr 23 00:30:13 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:30:13 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:30:13 carbon kernel:
Apr 23 00:30:13 carbon kernel: Calling wait_for_timelines()
Apr 23 00:30:13 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 00:30:13 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:30:13 carbon kernel:
Apr 23 00:30:13 carbon kernel: End of i915_gem_wait_for_idle() in 4127 tick(s)
Apr 23 00:30:13 carbon kernel:
Apr 23 00:30:13 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:30:13 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:30:13 carbon kernel:
Apr 23 00:30:13 carbon kernel: Calling wait_for_timelines()
Apr 23 00:30:13 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:30:13 carbon kernel:
Apr 23 00:30:13 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:30:13 carbon kernel: rtsx0: Resume
--
Apr 23 00:30:49 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:30:49 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:30:49 carbon kernel:
Apr 23 00:30:49 carbon kernel: Calling wait_for_timelines()
Apr 23 00:30:49 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 00:30:49 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:30:49 carbon kernel:
Apr 23 00:30:49 carbon kernel: End of i915_gem_wait_for_idle() in 4101 tick(s)
Apr 23 00:30:49 carbon kernel:
Apr 23 00:30:49 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:30:49 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:30:49 carbon kernel:
Apr 23 00:30:49 carbon kernel: Calling wait_for_timelines()
Apr 23 00:30:49 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:30:49 carbon kernel:
Apr 23 00:30:49 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:30:49 carbon kernel: rtsx0: Resume
--
Apr 23 00:31:20 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:31:20 carbon kernel: uhub0: detached
Apr 23 00:31:20 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:31:20 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:31:20 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:31:20 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:31:20 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:31:20 carbon syslogd: last message repeated 1 times
Apr 23 00:31:20 carbon kernel:
Apr 23 00:31:20 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:31:20 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:31:20 carbon kernel:
Apr 23 00:31:20 carbon kernel: Calling wait_for_timelines()
Apr 23 00:31:20 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:31:20 carbon kernel:
Apr 23 00:31:20 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:31:20 carbon kernel: rtsx0: Resume
--
Apr 23 00:31:52 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:31:52 carbon kernel: uhub0: detached
Apr 23 00:31:52 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:31:52 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:31:52 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:31:52 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:31:52 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:31:52 carbon syslogd: last message repeated 1 times
Apr 23 00:31:52 carbon kernel:
Apr 23 00:31:52 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:31:52 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:31:52 carbon kernel:
Apr 23 00:31:52 carbon kernel: Calling wait_for_timelines()
Apr 23 00:31:52 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:31:52 carbon kernel:
Apr 23 00:31:52 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 00:31:52 carbon kernel: rtsx0: Resume
--
Apr 23 00:34:43 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 00:34:43 carbon kernel: uhub0: detached
Apr 23 00:34:43 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:34:43 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 00:34:43 carbon kernel: acpi0: cleared fixed power button status
Apr 23 00:34:43 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 00:34:43 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 00:34:43 carbon syslogd: last message repeated 1 times
Apr 23 00:34:43 carbon kernel:
Apr 23 00:34:43 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 00:34:43 carbon kernel: flags=12 (locked), timeout=200
Apr 23 00:34:43 carbon kernel:
Apr 23 00:34:43 carbon kernel: Calling wait_for_timelines()
Apr 23 00:34:43 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 00:34:43 carbon kernel:
Apr 23 00:34:43 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 00:34:43 carbon kernel: rtsx0: Resume
--
Apr 23 07:23:51 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 07:23:51 carbon kernel: uhub0: detached
Apr 23 07:23:51 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:23:51 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 07:23:51 carbon kernel: acpi0: cleared fixed power button status
Apr 23 07:23:51 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:23:51 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 07:23:51 carbon syslogd: last message repeated 1 times
Apr 23 07:23:51 carbon kernel:
Apr 23 07:23:51 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:23:51 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:23:51 carbon kernel:
Apr 23 07:23:51 carbon kernel: Calling wait_for_timelines()
Apr 23 07:23:51 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:23:51 carbon kernel:
Apr 23 07:23:51 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:23:51 carbon kernel: rtsx0: Resume
--
Apr 23 07:26:19 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:26:19 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:26:19 carbon kernel:
Apr 23 07:26:19 carbon kernel: Calling wait_for_timelines()
Apr 23 07:26:19 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 07:26:19 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:26:19 carbon kernel:
Apr 23 07:26:19 carbon kernel: End of i915_gem_wait_for_idle() in 4112 tick(s)
Apr 23 07:26:19 carbon kernel:
Apr 23 07:26:19 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:26:19 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:26:19 carbon kernel:
Apr 23 07:26:19 carbon kernel: Calling wait_for_timelines()
Apr 23 07:26:19 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:26:19 carbon kernel:
Apr 23 07:26:19 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:26:19 carbon kernel: rtsx0: Resume
--
Apr 23 07:27:33 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 07:27:33 carbon kernel: uhub0: detached
Apr 23 07:27:33 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:27:33 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 07:27:33 carbon kernel: acpi0: cleared fixed power button status
Apr 23 07:27:33 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:27:33 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 07:27:33 carbon syslogd: last message repeated 1 times
Apr 23 07:27:33 carbon kernel:
Apr 23 07:27:33 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:27:33 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:27:33 carbon kernel:
Apr 23 07:27:33 carbon kernel: Calling wait_for_timelines()
Apr 23 07:27:33 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:27:33 carbon kernel:
Apr 23 07:27:33 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:27:33 carbon kernel: rtsx0: Resume
--
Apr 23 07:28:20 carbon kernel:
Apr 23 07:28:20 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:28:20 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:28:20 carbon kernel:
Apr 23 07:28:20 carbon kernel: Calling wait_for_timelines()
Apr 23 07:28:20 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:28:20 carbon kernel:
Apr 23 07:28:20 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:28:20 carbon kernel:
Apr 23 07:28:20 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:28:20 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:28:20 carbon kernel:
Apr 23 07:28:20 carbon kernel: Calling wait_for_timelines()
Apr 23 07:28:20 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:28:20 carbon kernel:
Apr 23 07:28:20 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 23 07:28:20 carbon kernel: rtsx0: Resume
--
Apr 23 07:29:42 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 07:29:42 carbon kernel: uhub0: detached
Apr 23 07:29:42 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:29:42 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 07:29:42 carbon kernel: acpi0: cleared fixed power button status
Apr 23 07:29:42 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:29:42 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 07:29:42 carbon syslogd: last message repeated 1 times
Apr 23 07:29:42 carbon kernel:
Apr 23 07:29:42 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:29:42 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:29:42 carbon kernel:
Apr 23 07:29:42 carbon kernel: Calling wait_for_timelines()
Apr 23 07:29:42 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:29:42 carbon kernel:
Apr 23 07:29:42 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 07:29:42 carbon kernel: rtsx0: Resume
--
Apr 23 07:31:08 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 07:31:08 carbon kernel: uhub0: detached
Apr 23 07:31:08 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:31:08 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 07:31:08 carbon kernel: acpi0: cleared fixed power button status
Apr 23 07:31:08 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 07:31:08 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 07:31:08 carbon syslogd: last message repeated 1 times
Apr 23 07:31:08 carbon kernel:
Apr 23 07:31:08 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:31:08 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:31:08 carbon kernel:
Apr 23 07:31:08 carbon kernel: Calling wait_for_timelines()
Apr 23 07:31:08 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:31:08 carbon kernel:
Apr 23 07:31:08 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 07:31:08 carbon kernel: rtsx0: Resume
--
Apr 23 07:32:05 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:32:05 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:32:05 carbon kernel:
Apr 23 07:32:05 carbon kernel: Calling wait_for_timelines()
Apr 23 07:32:05 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 07:32:05 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:32:05 carbon kernel:
Apr 23 07:32:05 carbon kernel: End of i915_gem_wait_for_idle() in 4114 tick(s)
Apr 23 07:32:05 carbon kernel:
Apr 23 07:32:05 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 07:32:05 carbon kernel: flags=12 (locked), timeout=200
Apr 23 07:32:05 carbon kernel:
Apr 23 07:32:05 carbon kernel: Calling wait_for_timelines()
Apr 23 07:32:05 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 07:32:05 carbon kernel:
Apr 23 07:32:05 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 07:32:05 carbon kernel: rtsx0: Resume
--
Apr 23 09:00:02 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 09:00:02 carbon kernel: flags=12 (locked), timeout=200
Apr 23 09:00:02 carbon kernel:
Apr 23 09:00:02 carbon kernel: Calling wait_for_timelines()
Apr 23 09:00:02 carbon kernel: drmn0: Resetting rcs0 for hang on rcs0
Apr 23 09:00:02 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 09:00:02 carbon kernel:
Apr 23 09:00:02 carbon kernel: End of i915_gem_wait_for_idle() in 4108 tick(s)
Apr 23 09:00:02 carbon kernel:
Apr 23 09:00:02 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 09:00:02 carbon kernel: flags=12 (locked), timeout=200
Apr 23 09:00:02 carbon kernel:
Apr 23 09:00:02 carbon kernel: Calling wait_for_timelines()
Apr 23 09:00:02 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 09:00:02 carbon kernel:
Apr 23 09:00:02 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 09:00:02 carbon kernel: rtsx0: Resume
--
Apr 23 22:50:24 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 23 22:50:24 carbon kernel: uhub0: detached
Apr 23 22:50:24 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 22:50:24 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 23 22:50:24 carbon kernel: acpi0: cleared fixed power button status
Apr 23 22:50:24 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 23 22:50:24 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 23 22:50:24 carbon syslogd: last message repeated 1 times
Apr 23 22:50:24 carbon kernel:
Apr 23 22:50:24 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 23 22:50:24 carbon kernel: flags=12 (locked), timeout=200
Apr 23 22:50:24 carbon kernel:
Apr 23 22:50:24 carbon kernel: Calling wait_for_timelines()
Apr 23 22:50:24 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 23 22:50:24 carbon kernel:
Apr 23 22:50:24 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 23 22:50:24 carbon kernel: rtsx0: Resume
--
Apr 24 22:04:16 carbon kernel:
Apr 24 22:04:16 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 24 22:04:16 carbon kernel: flags=12 (locked), timeout=200
Apr 24 22:04:16 carbon kernel:
Apr 24 22:04:16 carbon kernel: Calling wait_for_timelines()
Apr 24 22:04:16 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 24 22:04:16 carbon kernel:
Apr 24 22:04:16 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 24 22:04:16 carbon kernel:
Apr 24 22:04:16 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 24 22:04:16 carbon kernel: flags=12 (locked), timeout=200
Apr 24 22:04:16 carbon kernel:
Apr 24 22:04:16 carbon kernel: Calling wait_for_timelines()
Apr 24 22:04:16 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 24 22:04:16 carbon kernel:
Apr 24 22:04:16 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 24 22:04:16 carbon kernel: rtsx0: Resume
--
Apr 25 21:04:51 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 25 21:04:51 carbon kernel: uhub0: detached
Apr 25 21:04:51 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 25 21:04:51 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 25 21:04:51 carbon kernel: acpi0: cleared fixed power button status
Apr 25 21:04:51 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 25 21:04:51 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 25 21:04:51 carbon syslogd: last message repeated 1 times
Apr 25 21:04:51 carbon kernel:
Apr 25 21:04:51 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 25 21:04:51 carbon kernel: flags=12 (locked), timeout=200
Apr 25 21:04:51 carbon kernel:
Apr 25 21:04:51 carbon kernel: Calling wait_for_timelines()
Apr 25 21:04:51 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 25 21:04:51 carbon kernel:
Apr 25 21:04:51 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 25 21:04:51 carbon kernel: rtsx0: Resume
--
Apr 25 22:06:00 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 25 22:06:00 carbon kernel: uhub0: detached
Apr 25 22:06:00 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 25 22:06:00 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 25 22:06:00 carbon kernel: acpi0: cleared fixed power button status
Apr 25 22:06:00 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 25 22:06:00 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 25 22:06:00 carbon syslogd: last message repeated 1 times
Apr 25 22:06:00 carbon kernel:
Apr 25 22:06:00 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 25 22:06:00 carbon kernel: flags=12 (locked), timeout=200
Apr 25 22:06:00 carbon kernel:
Apr 25 22:06:00 carbon kernel: Calling wait_for_timelines()
Apr 25 22:06:00 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 25 22:06:00 carbon kernel:
Apr 25 22:06:00 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 25 22:06:00 carbon kernel: rtsx0: Resume
--
Apr 26 21:59:00 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 26 21:59:00 carbon kernel: uhub0: detached
Apr 26 21:59:00 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 26 21:59:00 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 26 21:59:00 carbon kernel: acpi0: cleared fixed power button status
Apr 26 21:59:00 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 26 21:59:00 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 26 21:59:00 carbon syslogd: last message repeated 1 times
Apr 26 21:59:00 carbon kernel:
Apr 26 21:59:00 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 26 21:59:00 carbon kernel: flags=12 (locked), timeout=200
Apr 26 21:59:00 carbon kernel:
Apr 26 21:59:00 carbon kernel: Calling wait_for_timelines()
Apr 26 21:59:00 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 26 21:59:00 carbon kernel:
Apr 26 21:59:00 carbon kernel: End of i915_gem_wait_for_idle() in 1 tick(s)
Apr 26 21:59:00 carbon kernel: rtsx0: Resume
--
Apr 28 06:52:55 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 28 06:52:55 carbon kernel: uhub0: detached
Apr 28 06:52:55 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 28 06:52:55 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 28 06:52:55 carbon kernel: acpi0: cleared fixed power button status
Apr 28 06:52:55 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 28 06:52:55 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 28 06:52:55 carbon syslogd: last message repeated 1 times
Apr 28 06:52:55 carbon kernel:
Apr 28 06:52:55 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 28 06:52:55 carbon kernel: flags=12 (locked), timeout=200
Apr 28 06:52:55 carbon kernel:
Apr 28 06:52:55 carbon kernel: Calling wait_for_timelines()
Apr 28 06:52:55 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 28 06:52:55 carbon kernel:
Apr 28 06:52:55 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 28 06:52:55 carbon kernel: rtsx0: Resume
--
Apr 28 21:08:23 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 28 21:08:23 carbon kernel: uhub0: detached
Apr 28 21:08:23 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 28 21:08:23 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 28 21:08:23 carbon kernel: acpi0: cleared fixed power button status
Apr 28 21:08:23 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 28 21:08:23 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 28 21:08:23 carbon syslogd: last message repeated 1 times
Apr 28 21:08:23 carbon kernel:
Apr 28 21:08:23 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 28 21:08:23 carbon kernel: flags=12 (locked), timeout=200
Apr 28 21:08:23 carbon kernel:
Apr 28 21:08:23 carbon kernel: Calling wait_for_timelines()
Apr 28 21:08:23 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 28 21:08:23 carbon kernel:
Apr 28 21:08:23 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 28 21:08:23 carbon kernel: rtsx0: Resume
--
Apr 29 07:30:08 carbon kernel: ugen0.4: <vendor 0x138a product 0x0090> at usbus0 (disconnected)
Apr 29 07:30:08 carbon kernel: uhub0: detached
Apr 29 07:30:08 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 29 07:30:08 carbon kernel: pcib0: failed to set ACPI power state D2 on \_SB_.PCI0: AE_BAD_PARAMETER
Apr 29 07:30:08 carbon kernel: acpi0: cleared fixed power button status
Apr 29 07:30:08 carbon kernel: vgapci0: child drmn0 requested pci_set_powerstate
Apr 29 07:30:08 carbon kernel: vgapci0: child drmn0 requested pci_enable_io
Apr 29 07:30:08 carbon syslogd: last message repeated 1 times
Apr 29 07:30:08 carbon kernel:
Apr 29 07:30:08 carbon kernel: Start of i915_gem_wait_for_idle()
Apr 29 07:30:08 carbon kernel: flags=12 (locked), timeout=200
Apr 29 07:30:08 carbon kernel:
Apr 29 07:30:08 carbon kernel: Calling wait_for_timelines()
Apr 29 07:30:08 carbon kernel: flags=12 (locked), timeout=2147483647 (forever)
Apr 29 07:30:08 carbon kernel:
Apr 29 07:30:08 carbon kernel: End of i915_gem_wait_for_idle() in 0 tick(s)
Apr 29 07:30:08 carbon kernel: rtsx0: Resume
Comment 11 Patricio Villar 2022-05-19 23:52:08 UTC
Hi, just wanted to let you know I've tested this patch on FreeBSD 13.1-RELEASE with graphics/drm-54-kmod v5.4.191 and it works there as well! Thank you very much. And most importantly, it effectively solves my resume issues :)
I hope this gets to the official drm ports soon!